=== debian/changelog ===
gridsite (3.0.0~20230214gitee81151-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:18:53 +0000

gridsite (3.0.0~20230214gitee81151-1.1build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:25:02 +0000

gridsite (3.0.0~20230214gitee81151-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:08:36 +0000

gridsite (3.0.0~20230214gitee81151-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062128

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 00:24:35 +0000

gridsite (3.0.0~20230214gitee81151-1) unstable; urgency=medium

  * New development snapshot
  * Change to debhelper compat level 13
  * Remove obsolete maintscript entries
  * Remove override_dh_strip rule (completed debug symbol migration)
  * Remove override_dh_missing rule (--fail-missing is default)
  * Update lintian overrides
  * Drop patch gridsite-no-xml2-config.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 02 Mar 2023 18:56:31 +0100
