## gridsite 3.0.0~20240125git1200598

=== debian/changelog ===
gridsite (3.0.0~20240125git1200598-1.1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:05:57 +0200

gridsite (3.0.0~20240125git1200598-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089340)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 19:16:54 +0000

gridsite (3.0.0~20240125git1200598-1) unstable; urgency=medium

  * New development snapshot
  * Enable bind-now hardening

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 23 Mar 2024 14:37:18 +0100
