=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: gridsite
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: dpkg-dev (>= 1.22.5),
- debhelper (>= 13),
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends:
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  apache2-dev (>= 2.4),
  libxml2-dev,
  libcurl4-openssl-dev,
@@ -18,7 +18,8 @@
  doxygen,
  sharutils,
  dh-apache2,
- pkg-config
+ pkgconf
+Rules-Requires-Root: binary-targets
 Standards-Version: 4.6.2
 Homepage: https://github.com/CESNET/gridsite
 Vcs-Git: https://salsa.debian.org/ellert/gridsite.git
