=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 
@@ -62,7 +64,7 @@
 	uudecode -o $(INSTALLDIR)/usr/share/apache2/icons/gridsitelogo.png \
 	   debian/gridsitelogo.png.uu
 
-	chown www-data.www-data \
+	chown www-data:www-data \
 	  $(INSTALLDIR)/var/lib/gridsite \
 	  $(INSTALLDIR)/etc/gridsite/.gacl \
 	  $(INSTALLDIR)/etc/gridsite/gridsitehead.txt \
